<?php
session_start();
require 'config.php';

// get current user from database
if (isset($_SESSION['user-id-session'])) {
    $id = filter_var($_SESSION['user-id-session'], FILTER_SANITIZE_NUMBER_INT);
    $statement = $conn->prepare('SELECT * FROM users WHERE id = :id ');
    $statement->bindValue(':id', $id); 
    $statement->execute();
    $statement_result = $statement->fetch(PDO::FETCH_ASSOC); 

  }else{
    header('location: ' . DOMAIN . 'login.php');
    exit();
  }


?>



<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css">
    <link rel="icon" type="image/x-icon" href="image/favicon (1).ico"/>
    <link rel="stylesheet" href="css/index.css" />
    <title>Credit Cards, Banking, Mortgage | Citi Finance Bank | New Zealand</title>
  </head>


  <body onload="renderTime();">
    <div class="app">
      <header class="app-header">
        <div class="app-header-logo">
          <div class="logo">
          <span class="logo-icon">
              <img src="image/citi.png" />
            </span>
            <h1 class="logo-title">
              <span>Citi Finance Bank</span>
              
            </h1>
          </div>
        </div>
        <div class="app-header-navigation">
          <div class="tabs">
            <a href="index.php">
              Overview
            </a>
            <a href="index.php" class="active">
              Payments
            </a>
            <a href="index.php">
              Cards
            </a>
            <a href="#">
              Account
            </a>
            <a href="index.php">
              System
            </a>
            <a href="index.php">
              Business
            </a>
          </div>
        </div>
        <div class="app-header-actions">
          <button class="user-profile">
          <h2> Welcome <?php echo $statement_result['fullname'] ?> </h2><br><br>
      <ion-icon name="person-circle-outline"></ion-icon>
      <br>
            <span>
              <img src=""/>
            </span>
          </button>
          <div class="app-header-actions-buttons">
            <button class="icon-button large">
              <i class="ph-magnifying-glass"></i>
            </button>
            <button class="icon-button large">
              <i class="ph-bell"></i>
            </button>
          </div>
        </div>
        <div class="app-header-mobile">
          <button class="icon-button large">
            <i class="ph-list"></i>
          </button>
        </div>

      </header>
      <div class="app-body">
        <div class="app-body-navigation">
          <nav class="navigation">
            <a href="index.php">
              <i class="ph-browsers"></i>
              <span>Dashboard</span>
            </a>
            <a href="#">
              <i class="ph-check-square"></i>
              <span>Scheduled</span>
            </a>
            <a href="transfer.php">
              <i class="ph-swap"></i>
              <span>Transfer</span>
            </a>
            <a href="#">
              <i class="ph-file-text"></i>
              <span>History</span>
            </a>
            <a href="#">
              <i class="ph-globe"></i>
              <span>SWIFT</span>
            </a>
            <a href="#">
              <i class="ph-clipboard-text"></i>
              <span>Exchange</span>
            </a>
            <a href="logout.php">
            <i class="ph ph-sign-out"></i>
            <span>Logout</span></a>
            </a>
          </nav>
          <footer class="footer">
            <h1>Citi<small>©</small>Bank</h1>
            <div>
             Citi© Finance Bank<br />
              All Rights Reserved 2023
            </div>
          </footer>
        </div>
        <div class="app-body-main-content">
          <section class="service-section">
          <div id="clockDisplay"></div>
            <h2>InternationalTransfer</h2><div class="lagos" id="displayData"></div>
            
            <div class="service-section-header">
              <div class="search-field">
                <i class="ph-magnifying-glass"></i>
                <input type="text" placeholder="Account number">
              </div>
              <div class="dropdown-field">
                <select>
                  <option>Home</option>
                  <option>Work</option>
                </select>
                <i class="ph-caret-down"></i>
              </div>
              <button class="flat-button">
               Search
              </button>
            </div>
            <div class="mobile-only">
              <button class="flat-button">
                Toggle search
              </button>
            </div>
            <div class="tiles">
              <article class="tile">
                <div class="tile-header">
                <i class="ph-light ph-arrow-circle-down"></i>
                  <h3>
                    <span>International Transfer</span>
                    <span></span>
                  </h3>
                  
                </div>

               </article>

            </div>
            <div class="service-section-footer">
              <p>Services are paid according to the current state of the currency and tariff.</p><br>
              <form class="tile" action="processInternational.php" method="post">
                    <label for="account">Checking Account: </label>
                    <input type="text" placeholder="1-2839-938-9384">

                    <label for="senderAccount">Receiving Continent</label>
                    <select name="continent" required>
                        <option value="select">Select Region</option>
                        <option value="RBC">Europe</option>
                        <option value="BNS">North America</option>
                        <option value="TDB">South America</option>
                        <option value="NBC">Asia</option>
                        <option value="CWB">Middle East</option>
                        <option value="HSBC">Africa</option>
                        <option value="TDC">South Pacific/option>
                        
                    </select>
                    <br>

                    <label for="accountHolder">Account Holder</label>
                    <input type="text" placeholder="Account Name" required >

                    <label for="amountSend">NZD</label>
                    <input type="text" placeholder="Amount" required>
                     <br>
                    <label for="accountNumber">Account Number</label>
                    <input type="number" placeholder="Account Number" required >

                    <label for="bankAddress">Bank Address</label>
                    <input type="text" placeholder="Bank Address" required>

                    <label for="country">Country</label>
                    <input type="text" placeholder="Country" required>

                    <label for="purpose">SWIFT/TIC</label>
                    <input type="text" name="" id="" placeholder="Purpose" required >

                    <label for="purpose">Purpose</label>
                    <input type="text" name="" id="" placeholder="Purpose" required >
                     <br>
                    <button>Submit</button>


                </form>
            </div>
          </section>  
          </section>
        </div>

      </div>
      
    </div>

    
    <script src="https://unpkg.com/phosphor-icons"></script>
    <script>
                function renderTime() {

//Date
var mydate = new Date();
var year = mydate.getFullYear();
if(year < 1000){
    year += 1900
}
var day = mydate.getDay();
var month = mydate.getMonth();
var daym = mydate.getDate();
var dayarray = new Array("Sun,","Mon,","Tue,","Wed,","Thur,","Fri,","Sat,");
var montharray = new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sept","Oct","Nov","Dec");
//Date End

//Time
var currentTime = new Date();
var h = currentTime.getHours();
var m = currentTime.getMinutes();
var s = currentTime.getSeconds();
     if(h == 24){
         h = 0;
     } else if(h > 12){
         h = h - 0;
     }

     if(h < 10){
        h = "0" + h;
     }

     if(m < 10){
         m = "0" + m;
        
     }
     if(s < 10){
         s = "0" + s;
     }

     var myClock = document.getElementById ("clockDisplay");
     myClock.textContent = "" +dayarray[day]+ " " +daym+ " " +montharray[month]+ " " +year+ " | " +h+ " : " +m+ " : " +s;
     myClock.innerText = "" +dayarray[day]+ " " +daym+ " " +montharray[month]+ " " +year+ " | " +h+ " : " +m+ " : " +s;

     setTimeout("renderTime()", 1000);
    }
    renderTime();


    const currency = localStorage.getItem("currency");

const amount = localStorage.getItem("amount");

const status = localStorage.getItem("status");

const displayData = `Balance ${currency}: ${amount}, Account Status - ${status}`;

document.getElementById("displayData").textContent = displayData;
    </script>
  </body>
</html>
</body>
</html>