<?php
session_start();
require 'config.php';

// this returns back the form details if there was an error 
$username = $_SESSION['login-data']['username'] ?? null;
$password = $_SESSION['login-data']['password'] ?? null; 

// delete the registration session
unset($_SESSION['login-data']);
?>


<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/x-icon" href="image/favicon (1).ico"/>
    <title>Credit Cards, Banking, Mortgage | Citi Finance Bank | New Zealand</title>
    <link rel="stylesheet" href="css/home.css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
  <body>
    <nav class="navbar bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">
            <img src="image/123.png" alt="Logo" width="94" height="62" class="d-inline-block align-text-top">
        </a>

            <ul class="nav justify-content-end">
                <li class="nav-item">
                  
                  <a class="nav-link" href="#"><i class="bi bi-geo-alt"></i> ATM/Branch</a>
                </li>
                <li class="nav-item">
                  
                  <a class="nav-link" href="#"><i class="bi bi-globe"></i> Espanol</a>
                </li>
              </ul>  
        </div>
      </nav>

    <section>
        <div class="topnav">
            <a class="active" href="#home">Credit Cards</a>
            <a href="#about">Banking</a>
            <a href="#contact">Lending</a>
            <a href="#investment">Investment</a>
            <a href="#Wealth">Wealth Management</a>
            <a href="#account"><i class="bi bi-arrow-right-short"></i> Open An Account </a>
            <div class="search-container">
                <form action="/action_page.php">
                  <input type="text" placeholder="How Can We Help?" name="search">
                  <button type="submit">Search <i class="fa fa-search"></i></button>
                </form> 
            </div>
    </section>

        <!--body-->
        <section class="citi">
            <div class="container mt-3">
                <!-- Stack the columns on mobile by making one full-width and the other half-width -->
                <div class="row">
                  <div class="col-md-8">
                    <div class="clearfix">
                        <img src="image/234.png" class="col-md-6 float-md-end mb-3 ms-md-3" alt="...">
                      
                    <p class="home">CITI® CREDIT CARDS</p>
                    <h2>Choose the right Citi® <br> credit card for you</h2>
                    <p>Whether you want Cash Back, Great Airline Miles, Rewards for Costco Members, or a Low Intro Rate, the choice is all yours.</p>
                      
                    <button type="button" class="btn btn-primary">Learn More</button>
                      </div>
                  </div>
                  <div class="col-6 col-md-4">
                    <div class="card text-bg-light mb-4" style="max-width: 26rem;">
                      <div class="card-header">Thank You For Banking With Us</div>
                      <div class="card-body">
                        <h5 class="card-title"><a href="home.php">Return to Home</a></h5>


                      </div>
                    </div>
                  </div>
                </div>
        </section>
       
        <section>
            <div>
                <div class="navbar-body">
                    <a class="active" href="#"><i class="bi bi-credit-card"></i> Credit Cards</a>
                    <a href="#"><i class="bi bi-receipt"></i> Checking</a>
                    <a href="#"><i class="bi bi-house"></i> Mortgage</a>
                    <a href="#"><i class="bi bi-coin"></i> Personal Loans</a>
                    <a href="#"><i class="bi bi-graph-up-arrow"></i> Investing Options</a>
                    <a href="#"><i class="bi bi-tags"></i> Small Business</a>
                  </div>
            </div>
        </section>


        <section>
            <div class="row row-cols-1 row-cols-md-3 g-4 mt-2 p-4">
                <div class="col">
                  <div class="card h-100">
                    <h6 class="card-title"><a href="#">Simplified Banking</a></h6>
                    <img src="image/parent.png" class="card-img-top" alt="...">
                    <div class="card-body">
                      
                      <p class="card-text">Citi mobile banking allows you to manage your money and pay friends — all while on-the-go. Member FDIC.</p>
                    </div>
                    <div class="card-footer">
                        <button type="button" class="btn btn-primary">Learn More</button>
                    </div>
                  </div>
                </div>
                <div class="col">
                  <div class="card h-100">
                    <h6 class="card-title"><a href="#">Simplify your savings</a></h6>
                    <img src="image/family.png" class="card-img-top" alt="...">
                    <div class="card-body">
                      
                      <p class="card-text">24/7 access to digital tools and money transfers with security you can bank on. Member FDIC.</p>
                    </div>
                    <div class="card-footer">
                        <button type="button" class="btn btn-primary">Learn More</button>
                    </div>
                  </div>
                </div>
                <div class="col">
                  <div class="card h-100">
                    <h6 class="card-title"><a href="#">Explore Citi® / AAdvantage® Credit Cards</a></h6>
                    <img src="image/atmcards.png" class="card-img-top" alt="...">
                    <div class="card-body">
                      
                      <p class="card-text">Whether you're a frequent flyer or first—time passenger, Citi has an airline rewards credit card to meet your travel needs.</p>
                    </div>
                    <div class="card-footer">
                        <button type="button" class="btn btn-primary">Learn More</button>
                    </div>
                  </div>
                </div>
              </div>
        </section>

    <section>
            <img src="image/remix.png" class="img-fluid" alt="...">

            <img src="image/uromi.png" class="img-fluid" alt="...">

            <img src="image/lagos.png" class="img-fluid" alt="...">


    </section>

    <section>
        <footer>
          



         
          


         <hr class="text-light">
           <div class="kaduna"> 
             <a href="#">© 2023 Citigroup Inc</a>
             <a href="#home">Terms & Conditions</a>
             <a href="#news">Privacy</a>
             <a href="#contact">Notice at Collection</a>
             <a href="#">Do Not Sell or Share My Personal Information</a>
             <a href="#">Accessibility</a>
             <a href="#">Country & Jurisdictions:</a>
             <a href="#">United States></a>
           </div>

           <hr>
           <nav class="navbar navbar-expand-lg justify-content-end">
                 <span class="navbar-text">
                   <a href=""><i class="bi bi-facebook text-light"></i></a>
                   <a href=""><i class="bi bi-twitter text-light"></i></a>
                   <a href=""><i class="bi bi-youtube text-light"></i></a>
                   
                   <div class="text-light p-3">
                     <hr>
                   </div>
                 </span>
               </div>
             </div>
           </nav>
          <hr class="text-light">

          <br>

          
          <p class="abuja">
            Important Legal Disclosures & Information.
            <br>
            Citibank.com provides information about and access to accounts and financial services provided by Citibank, N.A. and its affiliates in the United States and its territories. It does not, and should not be construed as, an offer, invitation or solicitation of services to individuals outside of the United States.
            <br>
            <br>
            Terms, conditions and fees for accounts, products, programs and services are subject to change. Not all accounts, products, and services as well as pricing described here are available in all jurisdictions or to all customers. Your eligibility for a particular product and service is subject to a final determination by Citibank. 
            Your country of citizenship, domicile, or residence, if other than the United States, may have laws, rules, and regulations that govern or affect your application for and use of our accounts, products and services, including laws and regulations regarding taxes, exchange and/or capital controls that you are responsible for following.
            <br>
            <br>
            The products, account packages, promotional offers and services described in this website may not apply to customers of International Personal Bank U.S. in the Citigold® Private Client International, Citigold® International, Citi International Personal, Citi Global Executive Preferred, and Citi Global Executive Account Packages.
            
            Deposit products and services are offered by Citibank, N.A., Member FDIC</p>

            <img src="image/footer.png" class="img-fluid" alt="...">

        </footer>
    </section>

 
      




    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4" crossorigin="anonymous"></script>
  </body>
</html>